# Phone APIs

- [dismissKeyboard](https://docs.apphive.io/reference/funciones/phone-apis-e/dismisskeyboard.md): The dismissKeyboard function allows you to hide the device keyboard when it is visible.
- [Open phone settings](https://docs.apphive.io/reference/funciones/phone-apis-e/open-phone-settings.md): Allows you to open the settings of the application in question.
- [Get connection type](https://docs.apphive.io/reference/funciones/phone-apis-e/get-connection-type.md): The Get connection type function allows you to know what type of internet connection the user has active
- [GetDeviceInfo](https://docs.apphive.io/reference/funciones/phone-apis-e/getdeviceinfo.md): The GetDeviceInfo function allows you to obtain native device information
- [Print remote PDF](https://docs.apphive.io/reference/funciones/phone-apis-e/print-remote-pdf.md)
- [Get Screen Dimentions](https://docs.apphive.io/reference/funciones/phone-apis-e/get-screen-dimentions.md): The Get Screen Dimensions function allows you to obtain the dimensions of the screen of the device on which the application is mounted
- [Is audio playing](https://docs.apphive.io/reference/funciones/phone-apis-e/is-audio-playing.md): Is audio playing feature lets you know if a track is currently playing on your device
- [Make a call](https://docs.apphive.io/reference/funciones/phone-apis-e/make-a-call.md): The Make a call function allows the user to make phone calls using the native system of their device
- [Open calendar](https://docs.apphive.io/reference/funciones/phone-apis-e/open-calendar.md): Allows you to open the device calendar, the type of calendar view depends on the device on which it is called
- [Ope geo map](https://docs.apphive.io/reference/funciones/phone-apis-e/ope-geo-map.md): The open geo map feature allows the user to open the device's default navigation application, independent of platform features and editions.
- [Open Url](https://docs.apphive.io/reference/funciones/phone-apis-e/open-url.md): The Open Url function allows the user to open an address or web page
- [Open WhatsApp](https://docs.apphive.io/reference/funciones/phone-apis-e/open-whatsapp.md): The Open WhatsApp feature allows the user to open the WhatsApp application if it is available on the device
- [Pause playing audio](https://docs.apphive.io/reference/funciones/phone-apis-e/pause-playing-audio.md): Pause playing audio function allows the user to pause a track when it is playing
- [Barcode Read](https://docs.apphive.io/reference/funciones/phone-apis-e/barcode-read.md): The Barcode Read function allows the user to read any visible and readable barcode
- [read QR code](https://docs.apphive.io/reference/funciones/phone-apis-e/read-qr-code.md): The read QR code function allows you to read visible and legible QR codes
- [Read SMS (Android)](https://docs.apphive.io/reference/funciones/phone-apis-e/read-sms-android.md): Read SMS feature allows you to read incoming text messages on your device
- [Set Audio Time](https://docs.apphive.io/reference/funciones/phone-apis-e/set-audio-time.md)
- [Share](https://docs.apphive.io/reference/funciones/phone-apis-e/share.md): The Share function allows the user to share information such as images, audios, files, etc. Through native applications or applications on the device that allow sharing multimedia with
- [Show file browser](https://docs.apphive.io/reference/funciones/phone-apis-e/show-file-browser.md): The Show file browser feature allows the user to select files such as images, pdf, audio or plain text from their device
- [Start playing audio](https://docs.apphive.io/reference/funciones/phone-apis-e/start-playing-audio.md): The Start playing audio function allows the user to play a track or audio that is loaded in the firebase database or found in a web address
- [Start Recording audio](https://docs.apphive.io/reference/funciones/phone-apis-e/untitled.md): Stat Recording audio feature allows the user to record audio from their device
- [Stop playing audio](https://docs.apphive.io/reference/funciones/phone-apis-e/stop-playing-audio.md): The Stop playing audio function allows you to stop an audio that is currently being played by the function
- [Stop Recording Audio](https://docs.apphive.io/reference/funciones/phone-apis-e/stop-recording-audio.md): Stop Recording Audio function allows the user to stop the audio recording on the device
- [Take a photo](https://docs.apphive.io/reference/funciones/phone-apis-e/take-a-photo.md): Take a photo function allows the user to open the camera to take a photo
- [Take a video](https://docs.apphive.io/reference/funciones/phone-apis-e/take-a-video.md): Take a video function allows the user to open the camera to record videos
- [Vibration phone](https://docs.apphive.io/reference/funciones/phone-apis-e/vibration-phone.md): The Vibration phone function allows the device to activate the vibration mode for a period of time
- [Resize Image](https://docs.apphive.io/reference/funciones/phone-apis-e/resize-image.md)
- [UxCam Record](https://docs.apphive.io/reference/funciones/phone-apis-e/uxcam-record.md)
- [Avoid Suspension](https://docs.apphive.io/reference/funciones/phone-apis-e/avoid-suspension.md)
- [Copy clipboard](https://docs.apphive.io/reference/funciones/phone-apis-e/copy-clipboard.md)
- [Download file](https://docs.apphive.io/reference/funciones/phone-apis-e/download-file.md): This function allows the download of different files such as music, images, documents, etc.
- [Launch App Review](https://docs.apphive.io/reference/funciones/phone-apis-e/launch-app-review.md)
- [Launch App Update](https://docs.apphive.io/reference/funciones/phone-apis-e/launch-app-update.md)
- [Biometric auth](https://docs.apphive.io/reference/funciones/phone-apis-e/biometric-auth.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/phone-apis-e.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
